Bug 1130667 - [abrt] WARNING: CPU: 6 PID: 5434 at drivers/usb/host/xhci-ring.c:607 xhci_find_new_dequeue_state+0x1c7/0x3b0()
Summary: [abrt] WARNING: CPU: 6 PID: 5434 at drivers/usb/host/xhci-ring.c:607 xhci_fin...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:575e9ace685fd654090afa91852...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 21:35 UTC by Luzemario
Modified: 2014-12-10 15:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-10 15:00:12 UTC


Attachments (Terms of Use)
File: dmesg (62.36 KB, text/plain)
2014-08-15 21:35 UTC, Luzemario
no flags Details

Description Luzemario 2014-08-15 21:35:12 UTC
Description of problem:
I plugged in a Hawei E173 modem on a USB3 port.

Additional info:
reporter:       libreport-2.2.3
WARNING: CPU: 6 PID: 5434 at drivers/usb/host/xhci-ring.c:607 xhci_find_new_dequeue_state+0x1c7/0x3b0()
Modules linked in: option usb_wwan tun sit tunnel4 ip_tunnel rfcomm ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw binfmt_misc bnep gspca_spca561 gspca_main videodev media iTCO_wdt iTCO_vendor_support ppdev x86_pkg_temp_thermal coretemp arc4 kvm crct10dif_pclmul crc32_pclmul iwldvm crc32c_intel ghash_clmulni_intel mac80211 microcode snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi serio_raw i2c_i801 iwlwifi snd_hda_intel snd_hda_controller snd_hda_codec lpc_ich cfg80211
mfd_core snd_hwdep snd_seq snd_seq_device btusb snd_pcm bluetooth rfkill mei_me shpchp snd_timer mei snd soundcore wmi parport_pc parport tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd sunrpc uas usb_storage i915 i2c_algo_bit e1000e drm_kms_helper drm ptp pps_core i2c_core video
CPU: 6 PID: 5434 Comm: usb-storage Not tainted 3.15.8-200.fc20.x86_64 #1
Hardware name: LENOVO 10AAA0G9BP/SHARKBAY, BIOS FBKT73AUS 02/24/2014
0000000000000000 00000000f57e2ca3 ffff8801d86a3af0 ffffffff816ef9ae
0000000000000000 ffff8801d86a3b28 ffffffff8108933d ffff880211702000
ffff8800a04f1000 00000000a04f1000 ffff8801d86a3ba0 ffff8801e5d7ed80
Call Trace:
[<ffffffff816ef9ae>] dump_stack+0x45/0x56
[<ffffffff8108933d>] warn_slowpath_common+0x7d/0xa0
[<ffffffff8108946a>] warn_slowpath_null+0x1a/0x20
[<ffffffff8151a227>] xhci_find_new_dequeue_state+0x1c7/0x3b0
[<ffffffff81511f20>] xhci_cleanup_stalled_ring+0x80/0x210
[<ffffffff815121de>] xhci_endpoint_reset+0x12e/0x1a0
[<ffffffff814de7d5>] usb_hcd_reset_endpoint+0x25/0x70
[<ffffffff814e17f5>] usb_enable_endpoint+0x85/0x90
[<ffffffff814e1846>] usb_enable_interface+0x46/0x60
[<ffffffff814d803b>] usb_reset_and_verify_device+0x57b/0x7b0
[<ffffffff814d8968>] usb_reset_device+0xe8/0x1c0
[<ffffffffa01cef11>] usb_stor_port_reset+0x61/0x70 [usb_storage]
[<ffffffffa01cefae>] usb_stor_invoke_transport+0x8e/0x530 [usb_storage]
[<ffffffff810bca33>] ? wake_up_process+0x23/0x40
[<ffffffff81366abd>] ? list_del+0xd/0x30
[<ffffffff816f4673>] ? wait_for_completion_interruptible+0x133/0x170
[<ffffffffa01cdc2e>] usb_stor_transparent_scsi_command+0xe/0x10 [usb_storage]
[<ffffffffa01d07a8>] usb_stor_control_thread+0x168/0x270 [usb_storage]
[<ffffffffa01d0640>] ? usb_stor_disconnect+0xe0/0xe0 [usb_storage]
[<ffffffffa01d0640>] ? usb_stor_disconnect+0xe0/0xe0 [usb_storage]
[<ffffffff810ac528>] kthread+0xd8/0xf0
[<ffffffff810ac450>] ? insert_kthread_work+0x40/0x40
[<ffffffff816ff93c>] ret_from_fork+0x7c/0xb0
[<ffffffff810ac450>] ? insert_kthread_work+0x40/0x40

Potential duplicate: bug 1008766

Comment 1 Luzemario 2014-08-15 21:35:17 UTC
Created attachment 927273 [details]
File: dmesg

Comment 2 Luzemario 2014-08-15 21:41:05 UTC
The machine has hung as soon as I plugged the modem in. All SysRq hotkeys are enabled, (I enabled them manually before) but none worked.

Comment 3 Luzemario 2014-08-15 21:51:10 UTC
Update: the machine do not hangs, only USB subsystem hangs. Since this model of Lenovo has all HID on USB, the user can not recover the system.

The issue happens after the system opens the virtual CDROM (i.e. the KDE Desktop shows a new USB device was found, and prompts for a action). It appears to be the issue happens after the usb_modeswitch command takes place.

The issue happens every time.

Comment 4 D. Hugh Redelmeier 2014-09-04 06:08:42 UTC
Description of problem:
Running normal Fedoar 20 (with all updates).  In desktop, I plugged in Sandisk Sansa Clip+ MP3 palyer to a USB port.

.The desktop (and machin) lock up/

I've done this on two different systems.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.15.10-201.fc20.x86_64 root=UUID=2ecb13ec-6783-42a5-a553-bc7bda81ea33 ro vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=en_CA.UTF-8
kernel:         3.15.10-201.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 2213 at drivers/usb/host/xhci-ring.c:607 xhci_find_new_dequeue_state+0x1c7/0x3b0()
Modules linked in: uas usb_storage rfcomm fuse ccm ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep hid_sensor_gyro_3d hid_sensor_als hid_sensor_magn_3d hid_sensor_accel_3d hid_sensor_incl_3d hid_sensor_trigger industrialio_triggered_buffer kfifo_buf iTCO_wdt industrialio arc4 hid_sensor_iio_common iTCO_vendor_support vfat fat x86_pkg_temp_thermal coretemp kvm snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic crct10dif_pclmul crc32_pclmul crc32c_intel snd_hda_intel snd_hda_controller snd_hda_codec uvcvideo iwlmvm btusb snd_hwdep mac80211 snd_seq snd_seq_device bluetooth ghash_clmulni_intel joydev videobuf2_vmalloc videobuf2_memops hid_multitouch videobuf2_core snd_pcm hid_sensor_hub videodev microcode iwlwifi media serio_raw cfg80211 snd_timer i2c_i801 mei_me snd lpc_ich soundcore mei mfd_core shpchp ideapad_laptop sparse_keymap rfkill i2c_hid int3403_thermal i2c_designware_platform dw_dmac i2c_designware_core dw_dmac_core nfsd auth_rpcgss nfs_acl lockd sunrpc i915 i2c_algo_bit drm_kms_helper drm i2c_core sdhci_acpi sdhci mmc_core video
CPU: 0 PID: 2213 Comm: pool Not tainted 3.15.10-201.fc20.x86_64 #1
Hardware name: LENOVO 20266/Yoga2, BIOS 76CN38WW 06/27/2014
 0000000000000000 000000002bcdd5e2 ffff88023448fb80 ffffffff816ef848
 0000000000000000 ffff88023448fbb8 ffffffff8108927d ffff880253926000
 ffff88023b554800 000000023b554800 ffff88023448fc30 ffff880235be9400
Call Trace:
 [<ffffffff816ef848>] dump_stack+0x45/0x56
 [<ffffffff8108927d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810893aa>] warn_slowpath_null+0x1a/0x20
 [<ffffffff8151a197>] xhci_find_new_dequeue_state+0x1c7/0x3b0
 [<ffffffff81511e90>] xhci_cleanup_stalled_ring+0x80/0x210
 [<ffffffff8151214e>] xhci_endpoint_reset+0x12e/0x1a0
 [<ffffffff814de745>] usb_hcd_reset_endpoint+0x25/0x70
 [<ffffffff814e1765>] usb_enable_endpoint+0x85/0x90
 [<ffffffff814e17b6>] usb_enable_interface+0x46/0x60
 [<ffffffff814d7fab>] usb_reset_and_verify_device+0x57b/0x7b0
 [<ffffffff814d88d8>] usb_reset_device+0xe8/0x1c0
 [<ffffffff814ebbca>] usbdev_do_ioctl+0x42a/0x1190
 [<ffffffff812281d8>] ? fsnotify+0x238/0x310
 [<ffffffff814ec95e>] usbdev_ioctl+0xe/0x20
 [<ffffffff811f9a20>] do_vfs_ioctl+0x2e0/0x4a0
 [<ffffffff811f9c61>] SyS_ioctl+0x81/0xa0
 [<ffffffff8111fb76>] ? __audit_syscall_exit+0x1f6/0x2a0
 [<ffffffff816ff969>] system_call_fastpath+0x16/0x1b

Comment 5 Justin M. Forbes 2014-11-13 16:00:14 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 6 Justin M. Forbes 2014-12-10 15:00:12 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 7 Luzemario 2014-12-10 15:14:56 UTC
This issue was already fixed with subsequent kernel updates.


Note You need to log in before you can comment on or make changes to this bug.